console_conditional_schedule
Prev | Kernel utility functions | Next

## Name

console_conditional_schedule — yield the CPU if required

## Synopsis

`void __sched console_conditional_schedule (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

If the console code is currently allowed to sleep, and if this CPU should yield the CPU to another task, do so here.

Must be called within `acquire_console_sem`.

Prev | Up | Next
release_console_sem | Home | printk_timed_ratelimit